:root {
    --main-radius: 5px;
    --main-padding: 5px;
    --main-margin: 20px;
    --primary-color: #23136B;
    --white-color: #ffffff;
}

.login-container {
    display: grid;
    height: 100vh;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1.8fr 0.2fr;
    grid-template-areas: "instruction login" "footer footer";
    grid-gap: 0.2rem;
    font-family: "Inter", sans-serif;
    font-size: 13px;
    color: #004d40;
    text-align: center;
}

.examination-container {
    display: grid;
    height: 100vh;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 0.3fr 0.8fr 0.3fr 1.3fr 0.3fr 0.5fr 0.3fr;
    grid-template-areas: "header header header header header header header header"
        "profiling profiling profiling profiling profiling_empty timing-area timing-area passport-area"
        "subject-area subject-area subject-area subject-area subject-area subject-area subject-area subject-area"
        "question-answer-area question-answer-area question-answer-area question-answer-area question-answer-area question-answer-area question_empty question_empty"
        "previous_empty previous_empty previous-next-area previous-next-area next_empty next_empty next_empty next_empty"
        "page-buttons-area page-buttons-area page-buttons-area page-buttons-area page-buttons-area page-buttons-area page-buttons-area page-buttons-area"
        "footer footer footer footer footer footer footer footer";
    grid-gap: 0.2rem;
    font-family: "Inter", sans-serif;
    font-size: 13px;
    color: #000000;
    text-align: center;
}

.container-admin-dashboard {
    display: grid;
    height: 100vh;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 0.3fr 2.5fr 0.3fr;
    grid-template-areas: "header header header header header admin-profile"
        "menu main main main main main"
        "footer footer footer footer footer footer";
    grid-gap: 0.2rem;
    font-family: "Inter", sans-serif;
    font-size: 13px;
    color: #004d40;
    text-align: center;
}

.container-candidate-dashboard {
    display: grid;
    height: 100vh;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 0.3fr 2.5fr 0.3fr;
    grid-template-areas: "header header header header header header"
        "main main main main main profile-candidate"
        "footer footer footer footer footer footer";
    grid-gap: 0.2rem;
    font-family: "Inter", sans-serif;
    font-size: 13px;
    color: #004d40;
    text-align: center;
}

#instruction {
    background: var(--white-color);
    grid-area: instruction;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#login {
    background: var(--white-color);
    grid-area: login;
    border-style: solid;
    border-color: var(--primary-color);
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* menu */

#menu {
    background: var(--white-color);
    grid-area: menu;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);
    border-style: solid;
    border-color: var(--primary-color);

    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: start;
}

#menu button {
    margin-bottom: 0px;
}

#profile {
    background: var(--primary-color);
    grid-area: admin-profile;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--white-color);
}

#profile img {
    width: 40px;
    border-radius: 50%;
    margin-bottom: -1px;
}

#profile-candidate {
    background: var(--white-color);
    grid-area: profile-candidate;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    border-style: solid;
    border-color: var(--primary-color);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

header {
    background: var(--primary-color);
    color: var(--white-color);
    grid-area: header;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    font-size: 38px;
    font-weight: bold;
    padding: 20px;
}

#profiling {
    /*background: #6fffd2; */
    grid-area: profiling;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: center;
    text-align: left;
    padding: var(--main-margin);
}

.profile-info {
    text-align: left;
    font-size: 14px;
    margin: 5px;
    display: flex;
    flex-direction: row;
}

.text-bold {
    font-weight: bold;
    margin-right: 5px;
}

#remain-holder {
    text-align: center;
    font-size: 25px;
}

#time-counter {
    text-align: center;
    font-size: 35px;
    color: #964B00;
}

main {
    background: var(--white-color);
    grid-area: main;
    border-radius: var(--main-radius);
    padding: var(--main-padding);

    border-style: solid;
    border-color: var(--primary-color);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

#profiling_empty,
#question_empty,
#previous_empty,
#next_empty {
    background: #18ffff;
    grid-area: empty;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#timing-area {
    /* background: #6fffd2; */
    grid-area: timing-area;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#passport-area {
    /*background: #abeeda; */
    grid-area: passport-area;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#subject-area {
    /* background: #abffd9; */
    grid-area: subject-area;
    border-radius: var(--main-radius);
    padding: 15px;

    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: left;
}

#question-answer-area {
    /* background: #abffd9; */
    grid-area: question-answer-area;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-flow: column wrap;
    /* flex-direction flex-wrap */
}

#question-area {
    display: flex;
    flex-flow: row wrap;
    /* flex-direction flex-wrap */
    margin: 20px;
    /* border-style: solid; */
}

#question-no {
    margin-right: 8px;
    font-size: 20px;
    font-weight: bold;
}

#question {
    display: flex;
    flex-flow: column wrap;
    line-height: 1.5;
    /* flex-direction flex-wrap */
}

#exhibit-text {
    font-size: 15px;
    font-weight: normal;
    margin-bottom: 20px;
}

#exhibit-image {
    margin-bottom: 30px;
}

#question-actual {
    font-size: 16px;
    font-weight: bold;
    text-align: left;
}

#answer-area {
    text-align: left;
    margin: 20px;
    /* border-style: solid; */
}

.answer-option {
    text-align: left;
    font-size: 14px;
    margin: 2px;
    /* was 15px */
}

#previous-next-area {
    /* background: #abffd9; */
    grid-area: previous-next-area;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-flow: row wrap;
    /* flex-direction flex-wrap */
    align-items: center;
    justify-content: center;
}

#page-buttons-area {
    /* background: #abffd9; */
    grid-area: page-buttons-area;
    border-radius: var(--main-radius);
    padding-top: var(--main-padding);

    display: flex;
    flex-flow: row wrap;
    /* flex-direction flex-wrap */
    align-items: center;
    justify-content: center;
}

#form-login input[type=text],
#form-login input[type=email],
#form-login input[type=file],
#form-login input[type=password],
#form-login select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

#form-login input[type=submit] {
    width: 100%;
    background-color: #23136B;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

#form-login input[type=submit]:hover {
    background-color: #7260C0;
}

input[type=radio],
input[type=checkbox] {
    transform: scale(1.5);
}

#create-form-button {
    width: inherit;
    background-color: #23136B;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    text-decoration: none;
}

.form-input select {
    display: block;
    font-size: 14px;
    color: #888;
    width: 616px;
    background: #fff;
    border: 1px solid #ccc;
}

.password-container{
    width: 400px;
    position: relative;
}
.password-container input[type="password"],
.password-container input[type="email"],
.password-container input[type="text"]{
    width: 100%;
    padding: 12px 36px 12px 12px;
    box-sizing: border-box;
}
.fa-eye{
    position: absolute;
    top: 28%;
    right: 4%;
    cursor: pointer;
    color: lightgray;
}

/* other forms */

input[type=text],
input[type=email],
input[type=password],
input[type=number],
input[type=date],
input[type=time],
input[type=file],
textarea {
    width: 80%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

select {
    width: 85%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    line-height: 15px;
}

label {
    padding: 12px 12px 12px 0;
    display: inline-block;
}

input[type=submit] {
    background-color: #04AA6D;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: center;
}

input[type=submit]:hover {
    background-color: #45a049;
}

.container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
    width: 80%;
}

.col-25 {
    float: left;
    width: 30%;
    margin-top: 6px;
    text-align: right;
}

.col-75 {
    float: left;
    width: 70%;
    margin-top: 6px;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

h3 {
    color: darkred;
    font-size: 16px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 800;
}

h4 {
    color: rgb(27, 7, 7);
    font-size: 14px;
    text-align: center;
    font-weight: 800;
}

#instruction-details {
    font-size: 14px;
    text-align: justify;
    line-height: 1.5;
    font-weight: 200;
    margin: var(--main-margin);
}

#form-login {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: var(--main-margin);
    margin: var(--main-margin);
    text-align: left;
}

.button {
    border: none;
    color: white;
    padding: 8px 15px;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 4px;
}

/* Green */
.green-button {
    background-color: #4CAF50;
    margin: 5px;
}

.green-text {
    color: darkgreen;
    text-decoration: none;
    border-radius: 5px;
    background-color: #ace7ae;
    padding: 15px;
    margin: 15px;
    width: 80%;
}

/* Blue */
.blue-button {
    background-color: #008CBA;
    margin: 5px;
}

.blue-text {
    color: darkblue;
    text-decoration: none;
    border-radius: 5px;
    background-color: #9ccedf;
    padding: 15px;
    margin: 15px;
    width: 80%;
}

/* Brown */
.brown-button {
    background-color: #dba50f;
    margin: 5px;
}

.brown-text {
    color: rgba(82, 40, 6, 0.952);
    text-decoration: none;
    padding: 25px;
    width: 100%;
}

/* Red */
.red-button {
    background-color: #f44336;
}

.red-text {
    color: darkred;
    text-decoration: none;
    border-radius: 5px;
    background-color: #f0a49e;
    padding: 15px;
    margin: 15px;
    width: 80%;
}

/* Gray */
.gray-button {
    background-color: #e7e7e7;
    color: black;
}

/* Black */
.black-button {
    background-color: #555555;
}

/*  other button */
.forgot-button {
    color: #23136B;
    text-decoration: none;
    border-radius: 5px;
    background-color: #e7e7e7;
    padding: 15px;
    margin-top: 1px;
    width: inherit;
}

/* Pause overlay */
.overlay {
    position: fixed;
    /* Positioning and size */
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(128, 128, 128, 0.5);
    /* color */
    display: none;
    /* making it hidden by default */
    backdrop-filter: blur(15px);
}

/* alert */
.modal {
    position: fixed;
    /* positioning in center of page */
    top: 50vh;
    left: 50vw;
    transform: translate(-50%, -50%);
    height: 400px;
    /* size */
    width: 600px;
    background-color: white;
    /* background color */
}

/* footer */
footer {
    background: #23136B;
    grid-area: footer;
    border-radius: var(--main-radius);
    align-items: center;
    justify-content: center;
    padding: var(--main-margin);
    color: #cccccc;
}

/* tables */
#exam-table {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

#exam-table td,
#exam-table th {
    border: 1px solid #ddd;
    padding: 8px;
}

#exam-table tr:nth-child(even) {
    background-color: #f2f2f2;
}

#exam-table tr:hover {
    background-color: #ddd;
}

#exam-table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: var(--primary-color);
    color: white;
}

/* various screens */
@media only screen and (max-width: 550px) {
    .login-container {
        grid-template-columns: 1fr;
        grid-template-rows: 1.5fr 1.5fr 0.2fr;
        grid-template-areas: "instruction" "login" "footer";
    }

    .examination-container {
        grid-template-columns: 1fr;
        grid-template-rows: 0.3fr 0.8fr 0.5fr 0.3fr 0.6fr 1.6fr 0.4fr 0.6fr 0.2fr;
        grid-template-areas: "header" "profiling" "timing-area" "passport-area" "subject-area" "question-answer-area" "previous-next-area" "page-buttons-area" "footer";
    }

    .container-candidate-dashboard {
        grid-template-columns: 1fr;
        grid-template-rows: 0.3fr 1.5fr 2.5fr 0.2fr;
        grid-template-areas: "header" "profile-candidate" "main" "footer";
    }

    .container-admin-dashboard {
        grid-template-columns: 1fr;
        grid-template-rows: 0.3fr 0.3fr 1.3fr 2.5fr 0.2fr;
        grid-template-areas: "header" "admin-profile"
            "menu" "main" "footer";
    }

    .col-25,
    .col-75,
    input[type=submit] {
        width: 100%;
        margin-top: 0;
        text-align: center;
    }
}